1.0
1.0
put /v1/planned-computes/{planned_compute_id}
Description
Change action request planned compute.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | planned_compute_id required | Planned Compute Id Example : 5f3688a192094ddeb0c94166a3e88935 | string | None |
| body | body required | PlannedComputeChangeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PlannedComputeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/{planned_compute_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"
Request body
{
"action": "EXTEND_CHANGE",
"contract_type": "01",
"server_type": "s1v1m2"
}
Example HTTP response
Response 200
{
"planned_compute": {
"start_date": "2024-08-01",
"end_date": "2024-08-01",
"id": "5f3688a192094ddeb0c94166a3e88935",
"contract_id": "C002612775",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"region": "kr-west1",
"service_id": "VIRTUAL_SERVER",
"service_name": "Virtual Server",
"os_type": "OPEN_SOURCE",
"os_name": "Open Source",
"server_type": "s1v1m2",
"server_type_description": "",
"srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
"resource_type": "instance",
"contract_type": "1-year",
"next_contract_type": "1-year",
"first_contract_start_at": "2024-08-01",
"next_start_date": "2024-08-01",
"next_end_date": "2024-08-31",
"state": "ACTIVE",
"delete_yn": "N",
"resource_name": "test-vm",
"created_at": "2024-08-01 00:00:00",
"created_by": "user123",
"modified_at": "2024-08-01 00:00:00",
"modified_by": "kim"
}
}